Base Module VST 3.7 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Classes | Namespaces | Macros | Enumerations | Functions
fstring.h File Reference
`#include "pluginterfaces/base/ftypes.h"`
`#include "pluginterfaces/base/fstrdefs.h"`
`#include "pluginterfaces/base/istringresult.h"`
`#include "pluginterfaces/base/ipersistent.h"`
`#include "base/source/fobject.h"`
`#include <cstdarg>`
`#include <cstdlib>`

## Classes
class | ConstString
| Invariant String. More...
class | String
| String. More...
class | StringObject
| StringObject implements IStringResult and IString methods. More...

## Namespaces
namespace | Steinberg

## Macros
#define | NEWSTR8(len)
#define | NEWSTR16(len)
#define | DELETESTR8(p)
#define | DELETESTR16(p)

## Enumerations
enum | MBCodePage { kCP_ANSI = 0 , kCP_MAC_ROMAN = 2 , kCP_ANSI_WEL = 1252 , kCP_MAC_CEE = 10029 , kCP_Utf8 = 65001 , kCP_ShiftJIS = 932 , kCP_US_ASCII = 20127 , kCP_Default = kCP_ANSI }
enum | UnicodeNormalization { kUnicodeNormC , kUnicodeNormD , kUnicodeNormKC , kUnicodeNormKD }

## Functions
uint32 | hashString8 (const char8 *s, uint32 m)
uint32 | hashString16 (const char16 *s, uint32 m)
uint32 | hashString (const char *s, uint32 m)
String | operator+ (const ConstString &s1, const ConstString &s2)
String | operator+ (const ConstString &s1, const char8 *s2)
String | operator+ (const ConstString &s1, const char16 *s2)
String | operator+ (const char8 *s1, const ConstString &s2)
String | operator+ (const char16 *s1, const ConstString &s2)
String | operator+ (const ConstString &s1, const String &s2)
String | operator+ (const String &s1, const ConstString &s2)
String | operator+ (const String &s1, const String &s2)
String | operator+ (const String &s1, const char8 *s2)
String | operator+ (const String &s1, const char16 *s2)
String | operator+ (const char8 *s1, const String &s2)
String | operator+ (const char16 *s1, const String &s2)
bool | operator< (const ConstString &s1, const ConstString &s2)
bool | operator<= (const ConstString &s1, const ConstString &s2)
bool | operator> (const ConstString &s1, const ConstString &s2)
bool | operator>= (const ConstString &s1, const ConstString &s2)
bool | operator== (const ConstString &s1, const ConstString &s2)
bool | operator!= (const ConstString &s1, const ConstString &s2)
bool | operator< (const ConstString &s1, const char8 *s2)
bool | operator<= (const ConstString &s1, const char8 *s2)
bool | operator> (const ConstString &s1, const char8 *s2)
bool | operator>= (const ConstString &s1, const char8 *s2)
bool | operator== (const ConstString &s1, const char8 *s2)
bool | operator!= (const ConstString &s1, const char8 *s2)
bool | operator< (const char8 *s1, const ConstString &s2)
bool | operator<= (const char8 *s1, const ConstString &s2)
bool | operator> (const char8 *s1, const ConstString &s2)
bool | operator>= (const char8 *s1, const ConstString &s2)
bool | operator== (const char8 *s1, const ConstString &s2)
bool | operator!= (const char8 *s1, const ConstString &s2)
bool | operator< (const ConstString &s1, const char16 *s2)
bool | operator<= (const ConstString &s1, const char16 *s2)
bool | operator> (const ConstString &s1, const char16 *s2)
bool | operator>= (const ConstString &s1, const char16 *s2)
bool | operator== (const ConstString &s1, const char16 *s2)
bool | operator!= (const ConstString &s1, const char16 *s2)
bool | operator< (const char16 *s1, const ConstString &s2)
bool | operator<= (const char16 *s1, const ConstString &s2)
bool | operator> (const char16 *s1, const ConstString &s2)
bool | operator>= (const char16 *s1, const ConstString &s2)
bool | operator== (const char16 *s1, const ConstString &s2)
bool | operator!= (const char16 *s1, const ConstString &s2)
int32 | strnatcmp8 (const char8 *s1, const char8 *s2, bool caseSensitive)
int32 | strnatcmp16 (const char16 *s1, const char16 *s2, bool caseSensitive)
int32 | strnatcmp (const char *s1, const char *s2, bool caseSensitive=true)

## Macro Definition Documentation

## ◆ NEWSTR8

#define NEWSTR8 | ( |  | len | ) |

Value:
((char8*)::malloc(len))

## ◆ NEWSTR16

#define NEWSTR16 | ( |  | len | ) |

Value:
((char16*)::malloc(2*(len)))

## ◆ DELETESTR8

#define DELETESTR8 | ( |  | p | ) |

Value:
(::free((char*)(p)))

## ◆ DELETESTR16

#define DELETESTR16 | ( |  | p | ) |

Value:
(::free((char16*)(p)))
Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.